/*
 * Worldcup is Copyright (c) 2001,2002 by Thomas Pundt
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose, without fee, and without a written agreement is hereby granted,
 * provided that the above copyright notice and this paragraph and the
 * following two paragraphs appear in all copies.
 *
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT,
 * SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS,
 * ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
 * THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * THE AUTHOR SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS"
 * BASIS, AND THE AUTHOR HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */

#include <PalmOS.h>

#include "worldcup.h"
#include "worldcuprcp.h"

/**
 * Show Stadium Form
 */
Boolean ShowStadiumFormHandleEvent(EventPtr e)
{
  static FormType *frm;
  static int cX[]={24,16,15,14,21,25,12,14,13,10,79,79,70,79,74,74,68,54,52,35},
             cY[]={59,52,47,45,57,57,46,56,59,71,12,40,43,55,56,58,61,64,63,71};
  UInt32 cap;
  Boolean handled;
  void *hBmp;
  
  handled = false;
  switch (e->eType) {

  case frmOpenEvent:
    frm = FrmGetActiveForm();
    FrmDrawForm(frm);
    cap = SetOrtString(IdFrmStadium + 1, selectedStadium-1);
    SetHandleInt(Id2Ptr(IdFrmStadium+2),cap);
    FldDrawField(Id2Ptr(IdFrmStadium+2));
    if ( (hBmp = DmGetResource((UInt32)'Tbmp',IdAsia)) ) {
      WinDrawBitmap(MemHandleLock(hBmp),28,45);
      MemHandleUnlock(hBmp);
      DmReleaseResource(hBmp);
    }
    if ( (hBmp = DmGetResource((UInt32)'Tbmp',IdAsia+1)) ) {
      WinDrawBitmap(MemHandleLock(hBmp),
		    cX[selectedStadium-1]+25,
		    cY[selectedStadium-1]+43);
      MemHandleUnlock(hBmp);
      DmReleaseResource(hBmp);
    }
    //WinDrawGrayRectangleFrame(roundFrame,&rect);
    handled = true; 
    break;

  case ctlSelectEvent:
    if (e->data.ctlSelect.controlID == IdFrmStadium) {
      FrmReturnToForm(0);
      handled = true; 
    }
    break;

  default:
    break;
  }

  return handled;
}

